SD_BUS_MESSAGE_GET_SIGNATURE(3)

NAME
sd_bus_message_get_signature, sd_bus_message_is_empty, sd_bus_message_has_signature - Query bus message signature

SYNOPSIS

#include <systemd/sd-bus.h>

const char* sd_bus_message_get_signature(sd_bus_message *message, int complete);

int sd_bus_message_is_empty(sd_bus_message *message);

int sd_bus_message_has_signature(sd_bus_message *message, const char *signature);

DESCRIPTION

sd_bus_message_get_signature() returns the signature of message message. If complete is true, the signature of the whole message is returned, and just the signature of the currently open container otherwise.

sd_bus_message_is_empty() returns true if the message is empty, i.e. when its signature is empty.

sd_bus_message_has_signature() returns true if the signature of the message message matches given signature. Parameter signature may be NULL, this is treated the same as an empty string, which is equivalent to calling sd_bus_message_is_empty().

RETURN VALUE

On success, sd_bus_message_get_signature() returns the signature, and NULL on error.

The other functions return 0 or a positive integer on success. On failure, they return a negative errno-style error code.

  Errors

Returned errors may indicate the following problems:

-EINVAL
    The message parameter is NULL.

NULL
    The message parameter is NULL.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

systemd(1), sd-bus(3), sd_bus_message_new(3)